Get a list of tokens on a specific blockchain
curl --request POST \
--url https://api.hydric.org/v1/tokens/{chainId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"limit": 10,
"orderBy": {
"field": "tvl",
"direction": "desc"
},
"cursor": null
},
"filters": {
"minimumTotalValuePooledUsd": 50000,
"minimumSwapsCount": 1000,
"minimumSwapVolumeUsd": 100000,
"ignoreWrappedNative": true
}
}
'import requests
url = "https://api.hydric.org/v1/tokens/{chainId}"
payload = {
"config": {
"limit": 10,
"orderBy": {
"field": "tvl",
"direction": "desc"
},
"cursor": None
},
"filters": {
"minimumTotalValuePooledUsd": 50000,
"minimumSwapsCount": 1000,
"minimumSwapVolumeUsd": 100000,
"ignoreWrappedNative": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {limit: 10, orderBy: {field: 'tvl', direction: 'desc'}, cursor: null},
filters: {
minimumTotalValuePooledUsd: 50000,
minimumSwapsCount: 1000,
minimumSwapVolumeUsd: 100000,
ignoreWrappedNative: true
}
})
};
fetch('https://api.hydric.org/v1/tokens/{chainId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"chainId": 1,
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"name": "Ether",
"symbol": "ETH",
"logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000"
}
],
"nextCursor": "eJzLKCkpSs3LT0rNz0tRBAAdewMF"
}Tokens
Get a list of tokens on a specific blockchain
Returns a paginated list of tokens available on the specified blockchain network.
POST
/
v1
/
tokens
/
{chainId}
Get a list of tokens on a specific blockchain
Authorizations
Use the docs sandbox API key for authentication: hydric_docs_4N4ocuirsN8Sh
Path Parameters
The chain id of the network. This must be a supported network chain id.
Available options:
1, 143, 130, 999, 8453, 9745, 534352 Example:
143
Body
application/json
Was this page helpful?
⌘I